gtkmm 2.4: Gtk::LinkButton Class Reference

Main Page Widgets Namespaces Book

# Gtk::LinkButton Class Reference
[Widgets]

Inheritance diagram for Gtk::LinkButton:

[legend]
List of all members.

## Detailed Description

TODO.

Since gtkmm 2.10:

## Public Member Functions
Glib::ustring | get_uri () const
const GtkLinkButton* | gobj () const
| Provides access to the underlying C GtkObject.
GtkLinkButton* | gobj ()
| Provides access to the underlying C GtkObject.
| LinkButton (const Glib::ustring& uri, const Glib::ustring& label)
| LinkButton (const Glib::ustring& uri)
| LinkButton ()
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_uri () const
| The URI bound to this button.
Glib::PropertyProxy<Glib::ustring> | property_uri ()
| The URI bound to this button.
void | set_uri (const Glib::ustring& uri)
virtual | ~LinkButton ()
## Related Functions
(Note that these are not member functions.)
Gtk::LinkButton* | wrap (GtkLinkButton* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::LinkButton::~LinkButton | ( |  | ) | `[virtual]`

Gtk::LinkButton::LinkButton | ( |  | ) |

Gtk::LinkButton::LinkButton | ( | const Glib::ustring & | uri | ) | `[explicit]`

Gtk::LinkButton::LinkButton | ( | const Glib::ustring & | uri,
|  | const Glib::ustring & | label |
| ) |  |  | `[explicit]`

## Member Function Documentation

Glib::ustring Gtk::LinkButton::get_uri | ( |  | ) | const

const GtkLinkButton* Gtk::LinkButton::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Button.

GtkLinkButton* Gtk::LinkButton::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Button.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::LinkButton::property_uri | ( |  | ) | const

The URI bound to this button.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::LinkButton::property_uri | ( |  | ) |

The URI bound to this button.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::LinkButton::set_uri | ( | const Glib::ustring & | uri | ) |

## Friends And Related Function Documentation

Gtk::LinkButton* wrap | ( | GtkLinkButton * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- linkbutton.h